﻿html, body, #map {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-family: 'Poppins', sans-serif !important;
    background-color: #F1F0FF;
}

#map {
    position: fixed;
}

#infoDiv {
    position: absolute;
    top: 15px;
    left: 60px;
}

.sidebar {
    height: 100vh;
    width: 600px;
    position: absolute;
    left: 0;
    top: 0;
    background-color: #F8F8F8;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;
    overflow-y: scroll;
}

.sidebar_header {
    color: #FFFFFF;
    width: 100%;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    padding-bottom: 1rem;
}

    .sidebar_header h2 {
        font-family: 'Merriweather', serif !important;
        font-weight: bold;
        font-size: 28px;
        color: #10153E;
        padding: 3rem 3rem 1.5rem 3rem;
    }

.sidebar h3, enquire_title {
    font-family: 'Merriweather', serif !important;
    font-weight: bold;
    font-size: 20px;
    color: #10153E;
    padding: 2rem 0 0 3rem;
}

.sidebar p, enquire_text {
    font-size: 13px;
    color: #60679F;
}

#sidebar_content {
    /*overflow-y: scroll !important;*/
    margin-bottom: 3rem;
}

    #sidebar_content p {
        padding-left: 3rem;
        max-width: 500px !important;
    }

.sidebar_header_info {
    padding: 0 2rem 0 0rem;
}

::-webkit-scrollbar {
    width: 7px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background: #888;
}

    ::-webkit-scrollbar-thumb:hover {
        background: #555;
    }

.logo {
    background-repeat: no-repeat;
}

.fa-xmark-large, .fa-xmark {
    transition: transform .2s;
}

    .fa-xmark:hover, .fa-xmark-large:hover {
        transform: scale(1.2);
    }

.accordion-body {
    margin-left: 1.5rem !important;
}

.logo {
    height: 82px;
    padding-top:20px;
    margin-top: -15px;
}

.menu {
    margin: 1rem;
    border-radius: 1rem;
    width: fit-content !important;
    float: right !important;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.custom_menu {
    margin: 1rem;
    border-radius: 1rem;
    width: 1082px !important;
    float: right !important;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.slider_menu {
    margin: 1rem;
    border-radius: 1rem;
    width: 720px !important;
    float: right !important;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.slider_settings {
    display: grid;
    grid-template-columns: 50% 50%;
}

.WeatherReportModal {
    margin: 1rem;
    border-radius: 1rem;
    width: 475px !important;
    float: right !important;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}


.myFilterOption {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

    .myFilterOption label {
        text-align: left;
    }

    .myFilterOption select {
        text-align: right;
        width: 150px;
    }
        .myFilterOption select option {
            text-align: left;
        }

.title-icon {
    margin-right: 0.4rem !important;
}

.title {
    font-family: 'Merriweather', serif !important;
    font-weight: bold;
    font-size: 28px;
    color: #10153E;
}

.description {
    font-size: 12px;
    color: #60679F;
}

.weather-description {
    font-size: 14px;
    color: #60679F;
}
.weather-status {
    font-size: 14px;
    font-weight: 700;
    color: #60679F;
}

.sub-title {
    font-weight: 400;
    font-size: 16px !important;
    margin-top: 1rem !important;
    color: #4E4E80;
}

.toggle {
    cursor: pointer;
}

.toggle-switch {
    display: inline-block;
    background: #F1F0FF;
    border-radius: 16px;
    width: 58px;
    height: 32px;
    position: relative;
    vertical-align: middle;
    transition: background 0.25s;
}

    .toggle-switch:before, .toggle-switch:after {
        content: "";
    }

    .toggle-switch:before {
        display: block;
        background: #ffffff;
        border-radius: 50%;
        width: 24px;
        height: 24px;
        position: absolute;
        top: 4px;
        left: 4px;
        transition: left 0.25s;
    }

.toggle-checkbox:not(:checked) + .toggle-switch {
    background: #F1F0FF !important;
}

.toggle-checkbox:checked + .toggle-switch:before {
    left: 30px;
}

.toggle-checkbox {
    position: absolute;
    visibility: hidden;
}

.toggle-label {
    margin-left: 5px;
    position: relative;
    top: 2px;
}
/* CSS for the loading indicator */
.loading {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.7);
    z-index: 1000;
}

.spinner {
    z-index:999;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 4px solid rgba(0, 0, 0, 0.3);
    border-top: 4px solid #0079c1;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}
.menu_btn {
    background-color: #FFF;
    border: none;
    border-radius: 0.5rem;
    padding: 0.65rem;
    position: relative !important;
    float: right !important;
    margin: 0.6rem 1rem 0rem 1rem;
}

    .menu_btn:hover {
        cursor: pointer;
    }

.menu_btn_left {
    background-color: #FFF;
    border: none;
    border-radius: 0.5rem;
    padding: 0.65rem;
    position: relative !important;
    float: left!important;
    margin: 0.8rem 1rem 0rem 1rem;
}

    .menu_btn_left:hover {
        cursor: pointer;
    }

.menu_btn_container {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    float: right;
}

.menu_btn_container_left {
    position: relative;
    top: 140px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    float: left;
}

i.bd, i.sc {
    opacity: 100%;
}

.esri-ui-corner .esri-component {
    margin-right: 4rem;
}

.fa-wrench, .fa-wind-turbine, .fa-magnifying-glass {
    padding: 3px;
}

.fa-anchor, .fa-ship {
    padding: 2px;
}

.sidebar_menu_btns_container {
    padding: 1rem 1rem 0 2rem;
}

.sidebar_menu_btn {
    padding: 0.7rem 1rem;
    border-radius: 1.5rem;
    font-size: 13px;
    color: #F8F8F8 !important;
    background-color: #10153E;
    border: none;
    transition: transform .2s;
    margin: auto 0.5rem;
    text-decoration: none !important;
}

    .sidebar_menu_btn:hover {
        transform: scale(1.1);
    }

    .sidebar_menu_btn i {
        color: #f7d35d !important;
    }

.lds-dual-ring {
    display: inline-block;
    width: 80px;
    height: 80px;
    top: 43%;
    left: 50%;
    position: fixed;
}

    .lds-dual-ring:after {
        content: " ";
        display: block;
        width: 64px;
        height: 64px;
        margin: 8px;
        border-radius: 50%;
        border: 6px solid #10153E;
        border-color: #10153E transparent #10153E transparent;
        animation: lds-dual-ring 1.2s linear infinite;
    }

@keyframes lds-dual-ring {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.modal-backdrop {
    z-index: -1;
}

.slider {
    --c: #10153E; /* active color */
    --g: 4px; /* the gap */
    --l: 4px; /* line thickness*/
    --s: 20px; /* thumb size*/

    width: 150px;
    height: var(--s);
    --_c: color-mix(in srgb, var(--c), #000 var(--p,0%));
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: none;
    cursor: pointer;
    overflow: hidden;
}

    .slider:focus-visible,
    .slider:hover {
        --p: 25%;
    }

    .slider:active,
    .slider:focus-visible {
        --_b: var(--s)
    }

    .slider[type="range" i]::-webkit-slider-thumb {
        height: var(--s);
        aspect-ratio: 1;
        border-radius: 50%;
        box-shadow: 0 0 0 var(--_b,var(--l)) inset var(--_c);
        border-image: linear-gradient(90deg,var(--_c) 50%,#ababab 0) 1/0 100vw/0 calc(100vw + var(--g));
        clip-path: polygon( 0 calc(50% + var(--l)/2), -100vw calc(50% + var(--l)/2), -100vw calc(50% - var(--l)/2), 0 calc(50% - var(--l)/2), 0 0,100% 0, 100% calc(50% - var(--l)/2), 100vw calc(50% - var(--l)/2), 100vw calc(50% + var(--l)/2), 100% calc(50% + var(--l)/2), 100% 100%,0 100%);
        -webkit-appearance: none;
        appearance: none;
        transition: .3s;
    }

    .slider[type="range"]::-moz-range-thumb {
        height: var(--s);
        width: var(--s);
        background: none;
        border-radius: 50%;
        box-shadow: 0 0 0 var(--_b,var(--l)) inset var(--_c);
        border-image: linear-gradient(90deg,var(--_c) 50%,#ababab 0) 1/0 100vw/0 calc(100vw + var(--g));
        clip-path: polygon( 0 calc(50% + var(--l)/2), -100vw calc(50% + var(--l)/2), -100vw calc(50% - var(--l)/2), 0 calc(50% - var(--l)/2), 0 0,100% 0, 100% calc(50% - var(--l)/2), 100vw calc(50% - var(--l)/2), 100vw calc(50% + var(--l)/2), 100% calc(50% + var(--l)/2), 100% 100%,0 100%);
        -moz-appearance: none;
        appearance: none;
        transition: .3s;
    }

@supports not (color: color-mix(in srgb,red,red)) {
    .slider {
        --_c: var(--c);
    }
}

.settings {
    display: grid;
    grid-template-columns: 33% 33% 33%;
}

.cell-success {
    background-color: #44B800 !important;
    color: white !important;
    text-shadow: 1px 1px #000000;
}

.cell-danger {
    background-color: #dc3545 !important;
    color: white !important;
    text-shadow: 1px 1px #000000;
}

.weather_table{
    margin-top: 4rem !important;
}

.brkdwn {
    position: absolute !important;
}

.update_weather{
    position: absolute !important;
    margin-left: 10rem;
}

.chart_info {
    margin-left: 0.7rem;
    color: #10153E !important;
}

.customTimeSlider {
    position: absolute;
    left: 0px;
    right: 0;
    bottom: 30px;
    margin-left: auto;
    margin-right: auto;
    max-width: 800px;
    background: #F8F8F8;
    z-index: 9999999;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;
}

.customElevationTool {
    position: absolute;
    top: 50px;
    right: 80px;
    margin-left: auto;
    margin-right: auto;
    max-width: 800px;
    background: #F8F8F8;
    z-index: 9999999;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;
}

.call-to-action-banner {
    font-family: 'Merriweather', serif !important;
    font-weight: bold;
    font-size: 19px;
    color: #10153E;
    position: absolute;
    left: 0px;
    right: 0;
    bottom: 30px;
    margin-left: auto;
    margin-right: auto;
    max-width: 450px;
    background: #F8F8F8;
    z-index: 999999;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 11px 15px;
    border-radius: 5px;
    visibility: hidden;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;
}

    .call-to-action-banner .sidebar_menu_btn {
        font-family: 'Poppins', sans-serif !important;
        font-size: 13px !important;
        font-weight: normal !important;
    }

    .call-to-action-banner a {
        text-decoration: none !important;
        color: #F8F8F8 !important;
    }

    .call-to-action-banner p {
        margin: 0px;
    }

    .call-to-action-banner.hidden {
        visibility: hidden;
    }

    .call-to-action-banner.popup {
        visibility: visible;
        -webkit-animation: fadeIn 1s;
        animation: fadeIn 1s
    }

.new-feature-banner {
    font-family: 'Merriweather', serif !important;
    font-weight: bold;
    font-size: 19px;
    color: #10153E;
    position: absolute;
    left: 0px;
    right: 0;
    top: 30px;
    margin-left: auto;
    margin-right: auto;
    max-width: 450px;
    background: #F8F8F8;
    z-index: 999999;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 11px 15px;
    border-radius: 5px;
    visibility: hidden;
    box-shadow: rgba(0, 0, 0, 0.3) 0px 19px 38px, rgba(0, 0, 0, 0.22) 0px 15px 12px;
}

    .new-feature-banner .sidebar_menu_btn {
        font-family: 'Poppins', sans-serif !important;
        font-size: 13px !important;
        font-weight: normal !important;
    }

    .new-feature-banner a {
        text-decoration: none !important;
        color: #F8F8F8 !important;
    }

    .new-feature-banner p {
        margin: 0px;
    }

    .new-feature-banner.hidden {
        visibility: hidden;
    }

    .new-feature-banner.popup {
        visibility: visible;
        -webkit-animation: fadeIn 1s;
        animation: fadeIn 1s
    }

    #quote1 {
        animation: 3s ease 0s normal forwards 1 fadein;
        -webkit-animation: 3s ease 0s normal forwards 1 fadein;
        opacity: 1;
    }

    #quote2 {
        animation: 4s ease 0s normal forwards 1 fadein;
        -webkit-animation: 4s ease 0s normal forwards 1 fadein;
        opacity: 1;
    }

#quote3 {
    animation: 7s ease 0s normal forwards 1 fadein;
    -webkit-animation: 7s ease 0s normal forwards 1 fadein;
    opacity: 1;
}
#quote4 {
    animation: 8s ease 0s normal forwards 1 fadein;
    -webkit-animation: 8s ease 0s normal forwards 1 fadein;
    opacity: 1;
}

@keyframes fadein {
    0% {
        opacity: 0
    }

    80% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}

@-webkit-keyframes fadein {
    0% {
        opacity: 0
    }

    80% {
        opacity: 0
    }

    100% {
        opacity: 1
    }
}
/*@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}*/

@media all and (max-width: 450px) {
    div#call-to-action-banner {
        flex-direction: column;
    }

    .call-to-action-banner .bigger-text {
        display: none;
    }

    .call-to-action-banner .banner-text {
        width: 100%;
        text-align: center;
    }
}
